summaryrefslogtreecommitdiffstats
path: root/system/incus/incus.SlackBuild
diff options
context:
space:
mode:
author Christoph Willing <chris.willing@linux.com>2024-09-16 18:27:54 +1000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-09-21 07:32:19 +0700
commita5a66853bb0edae5b60a70c29f43aa9f30e94c38 (patch)
tree8d81aadd32bc57dae763ff4108bb944b97347fe3 /system/incus/incus.SlackBuild
parent996aa330b69fb4cb1c152fc7575bc57380a17e70 (diff)
downloadslackbuilds-a5a66853bb0edae5b60a70c29f43aa9f30e94c38.tar.gz
slackbuilds-a5a66853bb0edae5b60a70c29f43aa9f30e94c38.tar.xz
system/incus: Generate man pages
Signed-off-by: Christoph Willing <chris.willing@linux.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to '')
-rw-r--r--system/incus/incus.SlackBuild19
1 files changed, 16 insertions, 3 deletions
diff --git a/system/incus/incus.SlackBuild b/system/incus/incus.SlackBuild
index 242f6d7111..b493f27072 100644
--- a/system/incus/incus.SlackBuild
+++ b/system/incus/incus.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=incus
VERSION=${VERSION:-6.5}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -82,13 +82,26 @@ for tool in incus incus-agent incus-user lxd-to-incus; do
done
install -v -p -Dm755 "bin/incusd" "$PKG/usr/sbin/incusd"
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
# Bash completions
./bin/incus completion bash | install -Dm644 /dev/stdin "$PKG/usr/share/bash-completion/completions/incus"
./bin/incus completion zsh | install -Dm644 /dev/stdin "$PKG/usr/share/zsh/site-functions/_incus"
./bin/incus completion fish | install -Dm644 /dev/stdin "$PKG/usr/share/fish/vendor_completions.d/incus.fish"
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+# Generate man pages
+mkdir -p $PKG/usr/man/man1
+bin/incus manpage $PKG/usr/man/man1
+bin/incusd manpage $PKG/usr/man/man1
+help2man bin/fuidshift -n "uid/gid shifter" --no-info --no-discard-stderr > $PKG/usr/man/man1/fuidshift.1
+help2man bin/incus-benchmark -n "The container lightervisor - benchmark" --no-info --no-discard-stderr > $PKG/usr/man/man1/incus-benchmark.1
+help2man bin/incus-migrate -n "Physical to container migration tool" --no-info --no-discard-stderr > $PKG/usr/man/man1/incus-migrate.1
+help2man bin/lxc-to-incus -n "Convert LXC containers to Incus" --no-info --no-discard-stderr > $PKG/usr/man/man1/lxc-to-incus.1
+help2man bin/lxd-to-incus -n "LXD to Incus migration tool" --no-info --no-discard-stderr > $PKG/usr/man/man1/lxd-to-incus.1
+help2man bin/incus-agent -n "Incus virtual machine guest agent" --no-info --no-discard-stderr > $PKG/usr/man/man1/incus-agent.1
+find $PKG/usr/man/man1 -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man/man1 -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a \